package com.zhili.stationcontrol.chargeserver.dto;

import lombok.Data;

/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2022/10/24 10:45
 */
@Data
public class ChargeMessage {
    byte version;
    byte serialNo;
    int command;
    byte[] data;

    public static class CommandType {
        //签到上报服务器
        public static final int SIGNIN_REPORT = 106;
        //签到回复
        public static final int SIGNIN_REPLY = 105;
        //心跳上报
        public static final int HEARTBEAT_REPORT = 102;
        //心跳回复
        public static final int HEARTBEAT_REPLY = 101;
        //状态上报
        public static final int STATE_REPORT = 104;
        //状态回复
        public static final int STATE_REPLY = 103;
        //充电记录上报
        public static final int RECORD_REPORT = 202;
        //充电记录回复
        public static final int RECORD_REPLY =  201;
        //告警记录上报
        public static final int ALARM_REPORT = 108;
        //告警记录回复
        public static final int ALARM_REPLY = 107;
        //充电命令
        public static final int CHARGE_COMMAND = 7;
        //充电回复
        public static final int CHARGE_REPLY = 8;
        //控制命令
        public static final int CONTROL_COMMAND = 5;
        //控制回复
        public static final int CONTROL_REPLY = 6;
        //查询充电记录
        public static final int QUERY_CHARGE_COMMAND = 401;
        //充电记录查询回复
        public static final int QUERY_CHARGE_REPLY = 402;
        //下发费率设置命令
        public static final int SET_RATE_COMMAND = 1103;
        //费率设置回复
        public static final int SET_RATE_REPLY = 1104;
        //上报充电启动完成
        public static final int CHARGE_START_REPORT = 110;
        //回复启动完成
        public static final int CHARGE_START_REPLY = 109;
        //BMS信息上报
        public static final int BMS_REPORT = 302;
        //BMS信息回复
        public static final int BMS_REPLY = 301;
    };
    public static class AlarmType {

    }


}
