package com.zhili.stationcontrol;

import com.zhili.stationcontrol.chargeserver.component.ChargeServer;
import com.zhili.stationcontrol.gatewayserver.component.GatewayServer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;

/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2022/10/18 11:14
 */

@SpringBootApplication
@Slf4j
public class MainApp {
    public static void main(String[] args) {
        ApplicationContext ctx = SpringApplication.run(MainApp.class);
        ChargeServer chargeServer = ctx.getBean(ChargeServer.class);
        chargeServer.run();
        GatewayServer gatewayServer = ctx.getBean(GatewayServer.class);
        gatewayServer.run();
        log.info("running ... ... ");
    }
}
